@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "scss/support/_syncpopup-variables.scss";

@mixin _syncPopupPlaceholder () {
	width: $syncPopupPlaceholder--width;
	height: $syncPopupPlaceholder--height;
	color: $syncPopupPlaceholder--color;
	text-indent: $syncPopupPlaceholder--text-indent;
	background-image: $syncPopupPlaceholder--bg-image;
	background-repeat: $syncPopupPlaceholder--bg-repeat;
	background-position: $syncPopupPlaceholder--bg-position;
	background-size: $syncPopupPlaceholder--bg-size;
}

.yw-modal-synchronizationPopup {
	.z-window-header {
		padding-bottom: $syncPopup__window-header--padding-bottom;

		.z-caption {
			min-height: $syncPopup__window-header-caption--min-height;
		}
	}
}

.yw-syncpopup {
	&-title{
		display: block;
		font-size: $syncPopup__title--font-size;
		text-overflow: ellipsis;
		white-space: nowrap;
		overflow: hidden;
		padding: $syncPopup__title--padding;
	}

	&-subtitle {
		padding: $syncPopup__subtitle--padding;
		display: $syncPopup__subtitle--display;
		color: $syncPopup__subtitle--color;
	}

	&-textbox-holder {
		padding: $syncPopup__textbox-holder--padding;
		margin: $syncPopup__textbox-holder--margin;
	}

	&-textbox {
		&::-webkit-input-placeholder {
			@include _syncPopupPlaceholder ();
		}

		&::-moz-placeholder {
			@include _syncPopupPlaceholder ();
		}

		&:-moz-placeholder {
			@include _syncPopupPlaceholder ();
		}

		&:-ms-input-placeholder {
			@include _syncPopupPlaceholder ();
		}
	}

	&-bold-label {
		font-size: $syncPopup__bold-label--font-size;
		font-weight: $syncPopup__bold-label--font-weight;
	}

	&-bold-label,
	&-label {
		width: 100%;
		display: block;
		text-overflow: ellipsis;
		white-space: nowrap;
		overflow: hidden;
		padding-left: $syncPopup__label--padding-left;
	}

	&-cell-icon {
		width: $syncPopup__cell-icon--width;
		text-align: $syncPopup__cell-icon--text-align;
	}

	&-pull,
	&-push,
	&-insync,
	&-outofsync {
		width: $syncPopupPlaceholder__icons--width;
		height: $syncPopupPlaceholder__icons--height;
		display: $syncPopupPlaceholder__icons-display;
		background-repeat: $syncPopupPlaceholder__icons--bg-repeat;
		background-position: $syncPopupPlaceholder__icons--bg-position;
		background-size: $syncPopupPlaceholder__icons--bg-size;
	}

	&-pull {
		background: $syncPopupPlaceholder__icons-pull--bg-image;
	}

	&-push {
		background: $syncPopupPlaceholder__icons-push--bg-image;
	}

	&-insync {
		background: $syncPopupPlaceholder__icons-insync--bg-image;
	}

	&-outofsync {
		background: $syncPopupPlaceholder__icons-outofsync--bg-image;
	}

	&-content {
		border-top: $syncPopupPlaceholder__content--border-top;
	}

	&-navigation {
		height: $syncPopupPlaceholder__navigation--height;
		border-top: $syncPopupPlaceholder__content--border-top;

		.yw-left-pack, .yw-right-pack {
			.yw-component-wrapper, .component-wrapper {
				display: $syncPopupPlaceholder__component-wrapper--display;
				padding: $syncPopupPlaceholder__component-wrapper--padding;
			}
		}

		.yw-right-pack {
			float: right;

			.yw-component-wrapper + .yw-component-wrapper,
			.component-wrapper + .component-wrapper {
				padding-left: $syncPopupPlaceholder__yw-right-pack--padding-left;
			}
		}

		.yw-left-pack {
			.yw-component-wrapper + .yw-component-wrapper,
			.component-wrapper + .component-wrapper {
				padding-right: $syncPopupPlaceholder__yw-right-pack--padding-right;
			}
		}
	}

	.z-tabpanel {
		max-height: $syncPopupPlaceholder__tabpanel--max-height;
		overflow: $syncPopupPlaceholder__tabpanel--overflow;
		padding: $syncPopupPlaceholder__tabpanel--padding;
	}

	.z-tabbox-top > .z-tabpanels > .z-tabpanel {
		padding: $syncPopupPlaceholder__tabpanel--padding;
	}

	.z-tabpanel,
	.z-listbox {
		border: $syncPopupPlaceholder__tabpanel--border;
	}

	.z-tab {
		width: $syncPopupPlaceholder__tab--width;
		padding: $syncPopupPlaceholder__tab--padding;

		&-text {
			font-size: $syncPopupPlaceholder__text--font-size;
			font-weight: $syncPopupPlaceholder__text--font-weight;
			padding-bottom: $syncPopupPlaceholder__text--padding-bottom;
		}

		&:not([style*="display:none"]) + .z-tab {
			&:before {
				height: $syncPopupPlaceholder__tab--height;
				content: $syncPopupPlaceholder__tab--content;
				float: $syncPopupPlaceholder__tab--float;
				border-left: $syncPopupPlaceholder__tab--border-left;
				margin-left: $syncPopupPlaceholder__tab--margin-left;
			}
		}
	}

	.yw-btn-primary {
		min-width: $syncPopupPlaceholder__btn-primary--width;
	}
}
